Loading...
Searching...
No Matches
Dune::ReduceTuple< F, Tuple, Seed, 0 > Struct Template Reference
Common » Utilities » Tuple Utilities

Apply reduce with meta binary function to template. More...

`#include <dune/common/tupleutility.hh>`

Inheritance diagram for Dune::ReduceTuple< F, Tuple, Seed, 0 >:

## Public Types

typedef Seed | type
| Result of the reduce operation.
typedef ReduceTuple< F, Tuple, Seed, N-1 >::type | Accumulated
typedef std::tuple_element< N-1, Tuple >::type | Value

## Detailed Description

template<template< class, class > class F, class Tuple, class Seed>
struct Dune::ReduceTuple< F, Tuple, Seed, 0 >

Apply reduce with meta binary function to template.

Specialization for reduction of 0 elements. The exported result type is Seed.

Template Parameters

  F | Binary meta function
  Tuple | Apply reduce operation to this std::tuple
  Seed | Initial value for reduce operation

## Member Typedef Documentation

## Accumulated

typedef ReduceTuple<F,Tuple,Seed,N-1>::type Dune::ReduceTuple< F, Tuple, Seed, N >::Accumulated

## Value

typedef std::tuple_element<N-1,Tuple>::type Dune::ReduceTuple< F, Tuple, Seed, N >::Value

The documentation for this struct was generated from the following file:

- tupleutility.hh